using System;
using System.Text.Json.Serialization;
namespace org.accordproject.payment.endorsement {
   using org.accordproject.money;
   using concerto;
   class Endorsement : Transaction {
      [JsonPropertyName("$class")]
      public new string _class { get;} = "org.accordproject.payment.endorsement.Endorsement";
      public CryptoMonetaryAmount paymentAmount { get; set; }
      public DateTime dueDate { get; set; }
      public float dueBlockNumber { get; set; }
      public string payeeAddress { get; set; }
      public string smartContractAddress { get; set; }
      public string transfereeAddress { get; set; }
   }
}
